#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(.gnu.linkonce.this_module) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

static const struct modversion_info ____versions[]
__used __section(__versions) = {
	{ 0xc39501f4, "module_layout" },
	{ 0x343dbd38, "usbnet_disconnect" },
	{ 0x1786566c, "usbnet_probe" },
	{ 0x708b02df, "ethtool_op_get_link" },
	{ 0x4308868, "usbnet_set_msglevel" },
	{ 0xdf421815, "usbnet_get_msglevel" },
	{ 0xdc845777, "usbnet_get_stats64" },
	{ 0xf16ca2bc, "usbnet_tx_timeout" },
	{ 0x8363a3b5, "eth_validate_addr" },
	{ 0xb8ab05fa, "usbnet_start_xmit" },
	{ 0xb03efbee, "usbnet_stop" },
	{ 0x9c602ba2, "usbnet_open" },
	{ 0xdc3c46c1, "__asan_register_globals" },
	{ 0xe894f8f4, "__asan_unregister_globals" },
	{ 0x2f4f9d2e, "usb_deregister" },
	{ 0x484bc8c5, "usb_register_driver" },
	{ 0x2220ad54, "usb_driver_set_configuration" },
	{ 0x2f39467, "kmem_cache_alloc_trace" },
	{ 0x6c952a31, "kmalloc_caches" },
	{ 0xc8b8d2df, "usbnet_get_endpoints" },
	{ 0x34f4bc59, "usb_reset_configuration" },
	{ 0x8681ed32, "usbnet_resume" },
	{ 0x8fe9ffad, "usbnet_suspend" },
	{ 0xa088fe75, "usbnet_read_cmd_nopm" },
	{ 0x9f374347, "eth_mac_addr" },
	{ 0x332b73a1, "__ubsan_handle_out_of_bounds" },
	{ 0x25c5d5ab, "netif_carrier_on" },
	{ 0xb626285d, "netdev_info" },
	{ 0x5f2dbf76, "netif_carrier_off" },
	{ 0xcbe0fd85, "usb_autopm_put_interface" },
	{ 0x2fc6adf, "usb_autopm_get_interface" },
	{ 0x94cd7fe2, "__dynamic_netdev_dbg" },
	{ 0x37a0cba, "kfree" },
	{ 0x26c61e80, "usb_control_msg" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x5792f848, "strlcpy" },
	{ 0x1bbed7cf, "usbnet_get_drvinfo" },
	{ 0xa02efa3, "__asan_report_load_n_noabort" },
	{ 0x95ad49c3, "usbnet_defer_kevent" },
	{ 0x4788292b, "netdev_warn" },
	{ 0xff1e2c65, "usbnet_read_cmd" },
	{ 0x7b37b558, "__ubsan_handle_type_mismatch_v1" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x4fe12bbc, "usbnet_write_cmd_async" },
	{ 0x4d5c00ee, "__asan_report_store2_noabort" },
	{ 0xcaa37391, "__asan_report_store_n_noabort" },
	{ 0xe84dab43, "usbnet_skb_return" },
	{ 0x3a5d0a4d, "skb_pull" },
	{ 0x2386dbd0, "skb_clone" },
	{ 0xfe309e02, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x970bac20, "skb_trim" },
	{ 0xb55ad780, "__asan_report_load2_noabort" },
	{ 0x4398123c, "__asan_report_store8_noabort" },
	{ 0x714d6ed6, "__sanitizer_cov_trace_switch" },
	{ 0xdcb764ad, "memset" },
	{ 0xbcc091e4, "skb_put" },
	{ 0x777d546, "__pskb_pull_tail" },
	{ 0x10692b0b, "skb_push" },
	{ 0x4338dcc6, "__dev_kfree_skb_any" },
	{ 0x7a2d2ae2, "skb_copy_expand" },
	{ 0x2f25a269, "__sanitizer_cov_trace_cmp4" },
	{ 0xe5c51729, "__ubsan_handle_divrem_overflow" },
	{ 0xd27448b1, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xb0e6d9ce, "__asan_report_load4_noabort" },
	{ 0x4f8207c9, "__asan_report_store1_noabort" },
	{ 0x242839d8, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x48e00ea0, "__asan_report_store4_noabort" },
	{ 0xb784d0a7, "__asan_report_load1_noabort" },
	{ 0xbb9ec552, "__asan_report_load8_noabort" },
	{ 0x2c79bf99, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x53d6d76c, "__sanitizer_cov_trace_pc" },
};

MODULE_INFO(depends, "usbnet");

MODULE_ALIAS("usb:v2ECApC101d*dc*dsc*dp*icFFisc*ip*in*");
MODULE_ALIAS("usb:v2ECApC101d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v0B95p2790d*dc*dsc*dp*icFFisc*ip*in*");
MODULE_ALIAS("usb:v0B95p2790d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v0B95p2791d*dc*dsc*dp*icFFisc*ip*in*");
MODULE_ALIAS("usb:v0B95p2791d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v20F4pE05Ad*dc*dsc*dp*icFFisc*ip*in*");
MODULE_ALIAS("usb:v20F4pE05Ad*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v1C04p0015d*dc*dsc*dp*icFFisc*ip*in*");
MODULE_ALIAS("usb:v1C04p0015d*dc*dsc*dp*ic02isc06ip00in*");

MODULE_INFO(srcversion, "12997B35D81207E30A0174B");
