#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(.gnu.linkonce.this_module) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

static const struct modversion_info ____versions[]
__used __section(__versions) = {
	{ 0xc39501f4, "module_layout" },
	{ 0x343dbd38, "usbnet_disconnect" },
	{ 0x1786566c, "usbnet_probe" },
	{ 0x708b02df, "ethtool_op_get_link" },
	{ 0x7a08e482, "usbnet_nway_reset" },
	{ 0x4308868, "usbnet_set_msglevel" },
	{ 0xdf421815, "usbnet_get_msglevel" },
	{ 0xdc845777, "usbnet_get_stats64" },
	{ 0xf16ca2bc, "usbnet_tx_timeout" },
	{ 0x8363a3b5, "eth_validate_addr" },
	{ 0xb8ab05fa, "usbnet_start_xmit" },
	{ 0xb03efbee, "usbnet_stop" },
	{ 0x9c602ba2, "usbnet_open" },
	{ 0xdc3c46c1, "__asan_register_globals" },
	{ 0xe894f8f4, "__asan_unregister_globals" },
	{ 0x2f4f9d2e, "usb_deregister" },
	{ 0x484bc8c5, "usb_register_driver" },
	{ 0x25c5d5ab, "netif_carrier_on" },
	{ 0x95abbfad, "mii_ethtool_gset" },
	{ 0xc8b8d2df, "usbnet_get_endpoints" },
	{ 0x4398123c, "__asan_report_store8_noabort" },
	{ 0x4f8207c9, "__asan_report_store1_noabort" },
	{ 0x7414ab8c, "mii_nway_restart" },
	{ 0x8fe9ffad, "usbnet_suspend" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0xdcb764ad, "memset" },
	{ 0x4fe12bbc, "usbnet_write_cmd_async" },
	{ 0x37a0cba, "kfree" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb626285d, "netdev_info" },
	{ 0x8681ed32, "usbnet_resume" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x5b723a9, "usbnet_link_change" },
	{ 0x6ec282b3, "usbnet_update_max_qlen" },
	{ 0x7b37b558, "__ubsan_handle_type_mismatch_v1" },
	{ 0x332b73a1, "__ubsan_handle_out_of_bounds" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x4829a47e, "memcpy" },
	{ 0xd27448b1, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x85cb61de, "usbnet_write_cmd" },
	{ 0xf3df6baf, "usbnet_write_cmd_nopm" },
	{ 0x714d6ed6, "__sanitizer_cov_trace_switch" },
	{ 0x4788292b, "netdev_warn" },
	{ 0x5a96cdc6, "__ubsan_handle_builtin_unreachable" },
	{ 0xff1e2c65, "usbnet_read_cmd" },
	{ 0xa088fe75, "usbnet_read_cmd_nopm" },
	{ 0x4d5c00ee, "__asan_report_store2_noabort" },
	{ 0xe84dab43, "usbnet_skb_return" },
	{ 0x3a5d0a4d, "skb_pull" },
	{ 0x2386dbd0, "skb_clone" },
	{ 0x2f25a269, "__sanitizer_cov_trace_cmp4" },
	{ 0x970bac20, "skb_trim" },
	{ 0xe5c51729, "__ubsan_handle_divrem_overflow" },
	{ 0xb55ad780, "__asan_report_load2_noabort" },
	{ 0xb784d0a7, "__asan_report_load1_noabort" },
	{ 0x48e00ea0, "__asan_report_store4_noabort" },
	{ 0xbb9ec552, "__asan_report_load8_noabort" },
	{ 0xb0e6d9ce, "__asan_report_load4_noabort" },
	{ 0x4338dcc6, "__dev_kfree_skb_any" },
	{ 0xea1c4bc5, "pskb_expand_head" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x10692b0b, "skb_push" },
	{ 0x2c79bf99, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x49448b5d, "generic_mii_ioctl" },
	{ 0xb816c460, "mii_ethtool_get_link_ksettings" },
	{ 0xfbf8653f, "mii_ethtool_set_link_ksettings" },
	{ 0xfe309e02, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x242839d8, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x53d6d76c, "__sanitizer_cov_trace_pc" },
};

MODULE_INFO(depends, "usbnet,mii");

MODULE_ALIAS("usb:v0B95p1790d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B95p178Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04B4p3610d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2001p4A00d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DF6p0072d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04E8pA100d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17EFp304Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v050Dp0128d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "DB4426E16E22CE0222515D8");
